diff --git a/language/it/acp/common.php b/language/it/acp/common.php
index 9725e1a..867b245 100644
--- a/language/it/acp/common.php
+++ b/language/it/acp/common.php
@@ -514,9 +514,9 @@ $lang = array_merge($lang, array(
 
 	'LOG_APPROVE_TOPIC'			=> '<strong>Argomenti approvati</strong><br />» %s',
 	'LOG_BUMP_TOPIC'			=> '<strong>Bump argomento eseguito su</strong><br />» %s',
-	'LOG_DELETE_POST'			=> '<strong>Messaggi cancellati</strong><br />» %s',
+	'LOG_DELETE_POST'			=> '<strong>Messaggio cancellato “%1$s” scritto da</strong><br />» %2$s',
 	'LOG_DELETE_SHADOW_TOPIC'   => '<strong>Argomenti ombra cancellati</strong><br />» %s',
-	'LOG_DELETE_TOPIC'			=> '<strong>Argomenti cancellati</strong><br />» %s',
+	'LOG_DELETE_TOPIC'			=> '<strong>Argomento cancellato “%1$s” scritto da</strong><br />» %2$s',
 	'LOG_FORK'					=> '<strong>Argomenti copiati</strong><br />» da %s',
 	'LOG_LOCK'					=> '<strong>Argomenti bloccati</strong><br />» %s',
 	'LOG_LOCK_POST'				=> '<strong>Messaggi bloccati</strong><br />» %s',
@@ -745,9 +745,5 @@ $lang = array_merge($lang, array(
 	'LOG_WORD_DELETE'		=> '<strong>Censura parola cancellata</strong><br />» %s',
 	'LOG_WORD_EDIT'			=> '<strong>Censura parola modificata</strong><br />» %s',
 ));
- // Two language keys with the same text were used in different locations
- // LOG_DELETE_TOPIC is the correct one, this line is here so that existing
- // log entries are not broken. Ensure it is included in your language file.
- $lang['LOG_TOPIC_DELETED'] = $lang['LOG_DELETE_TOPIC'];
 
 ?>
\ No newline at end of file
